#if defined(ALPHATEST)
	if (u_AlphaTestValue == 0.0)
	{
		if (pix.a == 0.0)
		{
			discard;
			return;
		}
	}
	else if (u_AlphaTestValue < 0.0)
	{
		if (pix.a >= -u_AlphaTestValue)
		{
			discard;
			return;
		}
	}
	else
	{
		if (pix.a < u_AlphaTestValue)
		{
			discard;
			return;
		}
	}
#endif
